Pamac says Unaccaptable TLS Certificate

Hello,

Every time I try to install anything using pamac it gives me this response:

Preparing…
Synchronizing package databases…
http://mirror.chmuri.net/manjaro/stable/core/x86_64/core.db: Error 404
https://mirror.tuchola-dc.pl/manjaro/stable/core/x86_64/core.db: Unacceptable TLS certificate

The problem doesn’t seem to happen on yay or with pacman. I tried doing some googling but only found things regarding flatpak and coulnd’t figure out if this was related to a similar issue.

Any help would be appriciated.

Thanks,
CR

1 Like

Then switch to a mirror with a valid certificate.

forgive me I am rather new to linux, how would I do that?

Just refresh your mirror list. :arrow_down:

sudo pacman-mirrors -f && sudo pacman -Syyu
1 Like

I executed that command and now when I try to use pamac it gives me the follwoing:

Preparing…
Waiting for another package manager to quit…

That’s because Add / Remove Software probably is still accessing the database. Easy solution is to reboot and try again.

Nevermind, I just went to /var/lib/pacman and deleted the db.lck file and that resolved it

That too. :wink: I purposely did not mention that as one should not to that unless one knows one should. In this case you were correct to do that.

Yeah, I don’t share the computer with any other users so I’m not too worried. Thanks.

Please click solved once your issue has been solved.

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.